Bug 498207 - DVD install defaults to ONBOOT=no leaving networking down after reboot
DVD install defaults to ONBOOT=no leaving networking down after reboot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
15
All Linux
high Severity low
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Reopened, Triaged
: 494240 506116 510726 512059 572489 (view as bug list)
Depends On:
Blocks: F16Beta-accepted/F16BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2009-04-29 09:22 EDT by Liam Li
Modified: 2012-03-23 16:37 EDT (History)
28 users (show)

See Also:
Fixed In Version: anaconda-16.19-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-24 00:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
eric: fedora_requires_release_note+


Attachments (Terms of Use)
anaconda.syslog.1.log (65.55 KB, text/plain)
2010-09-02 16:53 EDT, Steve Tyler
no flags Details
messages.1.log (947.70 KB, text/plain)
2010-09-02 16:57 EDT, Steve Tyler
no flags Details

  None (edit)
Description Liam Li 2009-04-29 09:22:41 EDT
Description of problem:

After a new install of f11-beta-i386-DVD, reboot system, login gnome,will get no ip address with dhcp. The NetworkManager did not connect to system eth0. In up right panel of gnome,click NetworkManager icon, select system eth0, the connection will be established.

Version-Release number of selected component (if applicable):
uname -r
2.6.29-0.258.2.3.rc8.git2.fc11.i686.PAE
rpm -qf /usr/sbin/NetworkManager
NetworkManager-0.7.0.99-3.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1.Install new system of f11-Beta-i386-DVD.iso
2.reboot system ,login gnome
3.run ifconfig, only get MAC address ,no ip address with default DHCP
4.In up right panel of gnome,click NetworkManager icon, select system eth0, the connection will be established.
  
Actual results:


Expected results:
NetworkManager should connect to eth0 by default and establish a connection

Additional info:
only tested on x86 system,no x86_64 hardware right now
Comment 1 Niels Haase 2009-04-29 17:28:45 EDT
Thanks for filling this bug.

If you've installed the F11 Beta from DVD/CD (not a pxe/network install), then your ethernet device will not be enabled by default.
  
Please check your /etc/sysconfig/network-scripts/ifcfg-eth0 file and look for "ONBOOT=no". If that is present, then you likely did a DVD/CD install, and anaconda will then not mark your network device for automatic connection.  

You can change it by editing the connection in NM and mark them "Connect automatically" (It will set the onboot=yes in the config file)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Liam Li 2009-04-29 22:00:05 EDT
Thanks for the time for giving this reply
yes,you are right. In file /etc/sysconfig/network-scripts/ifcfg-eth0, the onboot is :"ONBOOT=no".


If we are on the customer's side, we should say:
1. After the f11 in installed,if our network cable is connected,the system network  should automatically set up and enabled by default no matter what kind of install method we choose

2. In up right panel of gnome, when click NetworkManager icon, select system eth0, the connection will be established, but after reboot,we still need to do this, why it is not be saved.

3. Our customers will not know where to edit the file and the parameter  which is hidden in that deep fold.Our system should help them to do that automatically.
Comment 3 James Laska 2009-05-08 08:18:07 EDT
Niels, thanks for your comments.  The solution recommended in comment#1 works, however introduces significant boot delay when booting without a wired connection since /etc/init.d/network attempts to enable the wired ethernet device.  

Is there a recommend solution so that /etc/init.d/network ignores the wired ethernet and it is only connected when starting the Desktop?  Is 'chkconfig network off' acceptable workaround for this?

Thanks!
Comment 4 Niels Haase 2009-05-09 07:19:01 EDT
(In reply to comment #3)
> Niels, thanks for your comments.  The solution recommended in comment#1 works,
> however introduces significant boot delay when booting without a wired
> connection since /etc/init.d/network attempts to enable the wired ethernet
> device.  

Hmm, not for me, I use the ONBOOT=YES on many machines and have no boot daily problem if the Ethernet cable is not plugged in. Can you please so kind to attach your /etc/sysconfig/network-scripts/ifcfg-YOUR_INTERFACE and the /var/log/message that show up the delay from /etc/init.d/network ?
Thanks

> 
> Is there a recommend solution so that /etc/init.d/network ignores the wired
> ethernet and it is only connected when starting the Desktop?  

Maybe not, this seams to prevent system without X to get automatic Ethernet enable.

> Is 'chkconfig network off' acceptable workaround for this?

Maybe not, think about he laptop users. If the entire network devices gets disable when no Ethernet cable is pluged in, they have also no change to use there WLAN. 

> 
> Thanks!  



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Walter Francis 2009-05-21 13:34:32 EDT
Surely this can not be default by design, why would it be?  The end user will install and the first thing he'll try to do is hit the internet and there will be no network connection.  It'll be confusing for some users, but they'll stumble into the NM Applet.  Others will simply think Fedora didn't detect their ethernet connection, etc.

I noticed this in F11B, but it's also the same way in F11 RC (0.1?) DVD i386 install.
Comment 6 Walter Francis 2009-06-04 08:39:35 EDT
Is this going to be fixed?  This is a serious usability problem.  Why is this set this way?  A workaround isn't going to cut it when many end users will likely get lost in the weeds wondering why their internet connection isn't working.
Comment 7 Dan Williams 2009-06-04 10:47:08 EDT
When you don't install over the network, anaconda assumes that network devices should be down by default, because none of them were used during install.  When anaconda moved over to using NM in F10, it got rid of the network device configuration dialog.  So anaconda writes out ONBOOT=no to the ifcfg files when you install from CD or DVD, and thus NM doesn't bring up the device automatically (you can still select it manually from the menu and it'll work fine).

This is one of those desktop/server problem cases.  On a desktop, you probably want the interfaces to come up automatically.  On a server, you really don't until you explicitly tell the installer which ones should be automatic post-install.
Comment 8 Dan Williams 2009-06-04 10:53:03 EDT
It's actually working by-design right now, anaconda has *always* disabled automatic networking post-install when not using the network for the install; but we actually need to update the design to not confuse people.  Either notes in the UI somewhere, or some UI to enable users to tell the installer whether network devices should be automatically brought up post-install.
Comment 9 eric@christensenplace.us 2009-06-04 13:40:35 EDT
Flagging to be documented in the RNs.
Comment 10 Walter Francis 2009-06-04 14:21:39 EDT
I am afraid I must be misunderstanding this.  Let me restate what is fact, and
perhaps you can correct me where I misunderstood?  F8, F9, F10, et al, all
connected network devices post-install automatically.  I am talking DVD
install, no extra repos added, no updates done during install, no smolt send,
etc.  Nothing which would implicitly cause the network to be connected.

F11, however, with the same install path, networking is down.

Reproduction:

1.  Start DVD install of Fedora, fresh install.
2.  Use all installer defaults
3.  Do not sent Smolt profile in firstboot setup after install
4.  Login to the default Gnome desktop

At this point F8, F9, F10 etc, the network is automatically connected.  The
user immediately has network access, yum, Firefox, etc.  I have just verified this for F10 (Gold), which matches my experience with F10 in testing F10 pre-releases, gold, etc.  In fact I do not recall in my usage of Fedora and Red Hat back to 5.2 ever having to enable networking on an ethernet connection, it has always been enabled Out Of Box.

However, at this point in F11, the user is NOT connected and must click the
NetworkManager applet and connect System eth0.  In fact they must also do this
at every boot, or they must run the Network Connections or right-click the NM
Applet, edit System eth0, and set it to Connect Automatically (or edit the
files for onboot=yes, etc).

Why this change?  New users coming into Fedora are not going to expect to have
to implicitly enable networking.  If they right-click, Networking is enabled. 
I have not tried Wireless as my laptop here is B43 and I have not installed the
external requirements for that, but I am told by other folks that Wireless is
the same in that it does not attempt to connect to anything automatically.  So
in any networking case, the user is offline.

Granted, in F10 the machine was not offline until the user logged into the
desktop, but it does connect as soon as they login by default.
Comment 11 Walter Francis 2009-06-04 14:23:35 EDT
Mistake in my last line...  Should have been:

Granted, in F10 the machine was not ONLINE until the user logged into the desktop, but it does connect as soon as they login by default.
Comment 12 Adam Williamson 2009-06-04 14:51:53 EDT
walter: anaconda only switched to use NM by default in F10. It should actually have behaved in F10 as it does in F11, but there was a bug which prevented the ifcfg files written by anaconda from being used, so it didn't.

the future plan, as Dan explains it, is for it to continue to behave like this, but for the installer to either explain the behaviour or provide an interface to allow you to specify that some interfaces should be started at boot. We should probably adjust the bug description to reflect this.

The proposed release note I wrote for this is at:

https://fedoraproject.org/wiki/Documentation_Networking_Beat#Ethernet_connections_are_not_started_at_first_boot

it's now in the hands of the docs team whether it makes it into the final release notes.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 David Timms 2009-06-07 10:21:34 EDT
(In reply to comment #12)
> the future plan, as Dan explains it, is for it to continue to behave like this,
> but for the installer to either explain the behaviour
wrong!

> or provide an interface to allow you to specify that some interfaces
> should be started at boot.
wrong!

New button for "Advanced network config". If you don't do anything in that section you get a network that... works.

> The proposed release note I wrote for this 
should be:
"Unfortunately, due to an oversight your freshly installed fedora will not be able to connect to the internet; perhaps you should use an easier to use distribution". ;-)

I think I'll go hide for the next 6 months so that I don't need to answer the inevitable and bound to be common question of whatthe ?
Comment 14 David Timms 2009-06-07 10:47:59 EDT
Some previous devel discussion:
http://thread.gmane.org/gmane.linux.redhat.fedora.devel/111473/focus=111489
Comment 15 Walter Francis 2009-06-08 15:46:23 EDT
I have written up documentation on Fedora Solved to at least help the users who ask about this issue a simple guided way to fix it.

http://fedorasolved.org/Members/khaytsus/go-online-automatically-at-boot
Comment 16 Adam Williamson 2009-06-08 17:08:05 EDT
Thanks, Walter. I did actually explain the workaround in the Common Issues note as well, but yours is nice and extensive and has screenshots. :) I'll link to it from the Common issues page.

david: yes, I know, that's where this report _came_ from (note the last post in that thread is "Then we file an anaconda bug and make that happen.") I was just re-iterating what Dan said in an earlier comment - "Either notes
in the UI somewhere, or some UI to enable users to tell the installer whether
network devices should be automatically brought up post-install."

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Adam Williamson 2009-06-08 17:08:47 EDT
er, I meant release note, not common issues page.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 Walter Francis 2009-06-08 17:22:33 EDT
(In reply to comment #16)
> Thanks, Walter. I did actually explain the workaround in the Common Issues note
> as well, but yours is nice and extensive and has screenshots. :) I'll link to
> it from the Common issues page.

Interesting, I actually looked yesterday, and again today, and don't see it?  The place I'd most expect it to be is here:

http://docs.fedoraproject.org/release-notes/f11/en-US/sect-Release_Notes-Networking.html
Comment 19 Adam Williamson 2009-06-08 18:08:31 EDT
https://fedoraproject.org/wiki/Documentation_Networking_Beat

unfortunately, it hasn't made it into the final release notes :\. release notes work to an early freeze date for translations. stuff can get zero-day'ed in there, but it doesn't always work out. I added it to the appropriate wiki page (see above) and notified the docs guys, but I guess they couldn't get it in, in the end. so good to have it on fedorasolved, thanks for that.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 Bug Zapper 2009-06-09 10:47:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Niels Haase 2009-06-15 17:00:53 EDT
*** Bug 506116 has been marked as a duplicate of this bug. ***
Comment 22 Steevithak 2009-06-15 17:46:39 EDT
I just installed F11 and am experiencing this bug too. 

In previous versions of Fedora, Network Manager managed my network connection automatically. If I plugged in an Eth cable, it connected to the network. If I booted up in range of a WiFi, it connected automatically. I never had to mess with NM unless it needed a password for a Wifi net it had not previously encountered. Otherwise, it magically made sure my box was always online so long as a working network connection of some type was available.

But in F11 NM seems to be broken. When I boot the computer, there is always a red 'X' in the Network Manager icon and network access doesn't work at all. In order to get online I have to manually poke around on the NM menu and select a Wifi or Eth before NM will connect.

Having easy, automatic network management is very important for most users. And most users won't expect or even understand how to manually set up networking. So I really hope this gets fixed soon! I've used NM on my laptop for a while and it has always worked great in previous versions of Fedora (up until now) - so well that Windows users in my office were jealous of how easy networking was on Fedora. Any chance we could just drop back to the working behaviour of previous versions?
Comment 23 eric@christensenplace.us 2009-06-15 18:25:53 EDT
(In reply to comment #22)

I'm hoping you are mistaken about NM automatically connecting to ANY WiFi connection that it sees.  This has never been a function that I've seen with NM and would be dangerous.

You should always know what network you are connecting to.  Physical networks are generally easy.  If you have to plug-in then you know what network you are connecting to and probably have permission to use.  You can setup an auto ethernet connection with no problems (I think this is still there).  But with WiFi networks you don't know what network you might automatically connect to, trusted or not, if you automatically connect to ANY WiFi network.

Also, connecting to other people's networks (without permission) can be illegal which would possible/probable if you are connecting to ANY WiFi network.

You might be mistaken by NM automatically REconnecting to a WiFi network that you have previously manually connected to.  This continues to work in F11.
Comment 24 Steevithak 2009-06-15 19:03:17 EDT
Well, *any* maybe be an exaggeration. But in the past, if I booted up in a strange location like an internet cafe where NM couldn't find any of my usual networks, it would prompt me for a password for whatever network was present. Whether or not it would have connected to an open (non-password-protected) wifi I'm not certain. 

You are correct that it would remember a network once I entered the password. So if I returned to that same internet cafe a week later, it would happily connect on boot up, no questions asked. 

To give another example, I go to a weekly geek-type meeting where there are often a half dozen different wifi nets visible and I can connect to any of them if they are working. Networks come and go during the meeting. Some require passwords and some don't. I've connected to most of them at one time or another. When I booted up F9 or F10 in this environment, NM simply cycled through every visible wifi network until it successfully connected to one. I didn't have to worry about which one was working. If the network I was on went down, NM switched me over to another so fast I hardly noticed any downtime. 

When I boot up with F11, though, my laptop fails to connect at all. It just sits there with a red X and my fellow geeks chastise me for running such a broken system. :)

Also, it favoured physical connections. If I had an active wifi connection but plugged in a higher speed eth cable, it would automatically switch from wifi to eth. If I lost the physical connection for some reason, it automatically switched back to Wifi, assuring I stayed on line. 

In other words, NM used to "manage" my "network" connections. I thought that might have something to do with the name! Now it doesn't manage anything. It just sits there and I have to do all the work. It 1) no longer connects automatically at boot up no matter what network I'm near and 2) no longer connects automatically to networks it has seen before and 3) no longer automatically switches from wifi to eth and back based on availability and 4) no longer switches me from one wifi to another wifi based on availability.

Even though I plugged in a physical eth cable this morning before I booted and even though I forced NM to manually connect with this very cable and network yesterday, it still did not automatically connect when booted today. The same is true for WiFi networks. Even though I manually force it to connect and I enter the password, it will not automatically connect if I boot up near that wifi net on another day. Basically, Fedora works like it did before NM was introduced, where I have to do all networking tasks manually.
Comment 25 D. Hugh Redelmeier 2009-07-06 01:59:43 EDT
I think that this feature interacts badly with NTP client setup.  From my faulty memory, I think that NTP setup is in First Boot.  When I told it the hostname of my LAN's NTP server, I was told something to the effect of "I don't see a server there".  I suspect it didn't know that the network was down.

If the network is down when NTP is to be configured, the configuration program should handle that case more gracefully.  Perhaps the NTP configuration process should offer to start the network or warn that it is flying blind.  Or perhaps the network should be up.

Sorry this report is not more precise.  I feel it is better to report this than to put it off until I have enough time to investigate further.
Comment 26 Adam Williamson 2009-07-15 15:20:51 EDT
I think you're quite right that the NTP configuration tool should warn when the network is down, but that's a subject for a separate report :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 27 Niels Haase 2009-07-16 16:31:08 EDT
*** Bug 512059 has been marked as a duplicate of this bug. ***
Comment 28 Jeffrey Moyer 2009-07-31 14:49:02 EDT
I just wanted to note that I was another surprised victim of this (F11 final).  When installing lab systems (even from DVD), I expect to be able to ssh to them after the installation is complete.  I look forward to the anaconda dialog allowing me to configure my systems this way.
Comment 29 Paul Howarth 2009-11-10 06:21:32 EST
I don't see this being any different in F12 (RC4).

In addition to the NTP setup problem, the same issue applies if you want to set up Network Login, which may be impossible if the network is down. Granted, most people wanting to do this will have used a network install and kickstart, but not all of us...
Comment 30 Dan Williams 2009-11-19 19:20:41 EST
*** Bug 494240 has been marked as a duplicate of this bug. ***
Comment 31 Dan Williams 2009-11-19 19:23:56 EST
*** Bug 510726 has been marked as a duplicate of this bug. ***
Comment 32 Walter Francis 2009-11-21 10:40:29 EST
I was really hoping this bad design would be mitigated (via some Network setup in firstboot or such) or FIXED for F12.  Perhaps it should be changed to 12 so it can be tracked for an actual fix in F13.
Comment 33 David Cantrell 2010-04-09 22:21:26 EDT
We have this working in rawhide now with the nm-connection-editor integration work done in anaconda, which means you should see it now in rawhide trees as well as F-14 builds when that starts happening.

(Reassigning to rvykydal since he did the nm-connection-editor integration work in anaconda.)
Comment 34 Dr. Tilmann Bubeck 2010-04-13 14:58:28 EDT
ONBOOT=NO is still in FC13-Beta when installed from DVD.

You stated, that the user should make sure, to which network he wants to connect. This is right. But this decision is normally made by deciding to plug in a cable (or not)

If I plug it in, then I want my computer to connect as easy as possible. Otherwise I do not plug it in. I am fine, if NM still tries to connect (because of ONBOOT=YES).

PLEASE change back to ONBOOT=YES.

Thanks!
Comment 35 James Laska 2010-04-13 15:16:44 EDT
(In reply to comment #34)
> ONBOOT=NO is still in FC13-Beta when installed from DVD.
> 
> You stated, that the user should make sure, to which network he wants to
> connect. This is right. But this decision is normally made by deciding to plug
> in a cable (or not)
> 
> If I plug it in, then I want my computer to connect as easy as possible.
> Otherwise I do not plug it in. I am fine, if NM still tries to connect (because
> of ONBOOT=YES).
> 
> PLEASE change back to ONBOOT=YES.

Thanks for the feedback Till.  I understand your frustration.  Due to the nature of the code changes involved, we have determined that Fedora 14 is the most appropriate place to test and further refine this change.  In the meantime, you will need to manually select any physical ethernet connections using the NetworkManager applet, or by configuring your system to enable networking on start-up.
Comment 36 Walter Francis 2010-06-28 22:16:44 EDT
Has this been VERIFIED FIXED in F14?  This is a horrible user experience for three releases in a row.  If it's not fixed in F14, fix it.  Do something.
Comment 37 James Laska 2010-06-29 10:40:14 EDT
(In reply to comment #36)
> Has this been VERIFIED FIXED in F14?  This is a horrible user experience for
> three releases in a row.  If it's not fixed in F14, fix it.  Do something.    

No F14 physical media is yet available, so this fix has not yet been verified.  I'm going to open this bug back up and move it to MODIFIED so that someone can confirm this functionality.

In the meantime, before Fedora 14 DVD and CD images are available for test, you can create your own DVD image for test by following the instructions at https://fedoraproject.org/wiki/How_to_build_a_Rawhide_ISO_image_for_testing
Comment 38 James Laska 2010-06-29 10:40:45 EDT
Moving to MODIFIED so it is no longer on Radek's work list.
Comment 39 Jeff Raber 2010-07-14 11:43:35 EDT
Changing version to RAWHIDE.
Comment 40 Bug Zapper 2010-07-30 06:39:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 41 Radek Vykydal 2010-08-18 07:35:09 EDT
This is still the case in F14.
Comment 42 Radek Vykydal 2010-08-18 08:21:52 EDT
*** Bug 572489 has been marked as a duplicate of this bug. ***
Comment 43 Jeff Raber 2010-08-19 17:42:39 EDT
Set Severity = low to match the definition of that field
"Low=Problem is minor loss of function, or other problem where easy workaround is present."
Comment 44 Adam Williamson 2010-08-20 14:56:42 EDT
Jeff, those are not the definitions for the Fedora project. You should use the definitions at:

https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow#Priority_and_Severity

this is probably a 'medium' under those definitions.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 45 Steve Tyler 2010-09-02 15:59:27 EDT
After completing a clean F14-Alpha net install and working through the firstboot bugs, I got to a Gnome desktop and networking was disabled. The Network Connections GUI showed one device, but no MAC address, so I deleted it and added a new one. It still doesn't show a MAC address, yet networking is functioning.

Further, it says "Wired connection 1" was "Last used" "never".

The system has one wired Ethernet port.

[stephent@pecan network-scripts]$ pwd
/etc/sysconfig/network-scripts
[stephent@pecan network-scripts]$ ls -lF ifcfg-*
-rw-r--r--. 1 root root 254 Aug 25 13:12 ifcfg-lo
-rw-r--r--  1 root root 183 Sep  2 12:06 ifcfg-Wired_connection_1
[stephent@pecan network-scripts]$ cat ifcfg-Wired_connection_1
TYPE=Ethernet
BOOTPROTO=dhcp
DEFROUTE=yes
IPV4_FAILURE_FATAL=yes
IPV6INIT=no
NAME="Wired connection 1"
UUID=fe1ae109-c218-4a26-8885-b615f703ae83
ONBOOT=yes
PEERDNS=yes
PEERROUTES=yes
[stephent@pecan network-scripts]$ 

[stephent@pecan network-scripts]$ rpm -qa 'NetworkManager*' | sort
NetworkManager-0.8.1-6.git20100831.fc14.x86_64
NetworkManager-glib-0.8.1-6.git20100831.fc14.x86_64
NetworkManager-gnome-0.8.1-6.git20100831.fc14.x86_64
NetworkManager-openconnect-0.8.1-1.fc14.x86_64
NetworkManager-openvpn-0.8.1-1.fc14.x86_64
NetworkManager-pptp-0.8.1-1.fc14.x86_64
NetworkManager-vpnc-0.8.1-1.fc14.x86_64
Comment 46 Steve Tyler 2010-09-02 16:53:55 EDT
Created attachment 442724 [details]
anaconda.syslog.1.log

Here a two log files to peruse.
Comment 47 Steve Tyler 2010-09-02 16:57:36 EDT
Created attachment 442726 [details]
messages.1.log

This has the NM logging for when I removed ifcfg-eth0 and
added ifcfg-Wired_connection_1.

[stephent@pecan network-scripts]$ ls -lF ifcfg-*
-rw-r--r--. 1 root root 254 Aug 25 13:12 ifcfg-lo
-rw-r--r--  1 root root 183 Sep  2 12:06 ifcfg-Wired_connection_1
Comment 48 Adam Williamson 2010-09-02 17:21:52 EDT
steve: the bug for F14 network installs not activating network post-install is https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=620823 , not this one. This is for the longstanding case where doing a *non*-network install results in the network not being brought up on first boot.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 49 Steve Tyler 2010-09-02 18:25:38 EDT
(In reply to comment #48)
> steve: the bug for F14 network installs not activating network post-install is
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=620823 , not this one.
> This is for the longstanding case where doing a *non*-network install results
> in the network not being brought up on first boot.

OK, thanks. The title of Bug 620823 is meaningless to me though.
This one has an excellent title, but it is closed/dup:
Bug 625385 - after net install eth0 not enabled by default
Comment 50 Adam Williamson 2010-09-03 09:54:32 EDT
the description of 620823 is actually more technically accurate as to what the underlying problem is, and it was written by one of the anaconda team, so it's best to leave it as is :)
Comment 51 Jean-Francois Saucier 2010-09-30 08:56:19 EDT
Currently, doing a default Text install with the F-14 i386 beta DVD, after the first reboot, there is no network coming up.

Here is the content of ifcfg-eth0 :

DEVICE="eth0"
HWADDR="08:00:27:93:00:85"
NM_CONTROLLED="yes"
ONBOOT="no"


The loopback interface is present.

Event with all the update done, this is still the case. I can bring eth0 up manually by doing a : dhclient eth0
Comment 52 James Laska 2010-09-30 10:06:37 EDT
(In reply to comment #51)
> Currently, doing a default Text install with the F-14 i386 beta DVD, after the
> first reboot, there is no network coming up.

Please note, in Fedora 14, during a non-network install, you must manually enable the network during installation.  On the 'hostname' screen in the installer, you should see a button labelled 'Configure Network'.

Can you reinstall and confirm that you have configured the network, and enabled your ethernet connection?
Comment 53 Jean-Francois Saucier 2010-09-30 10:22:35 EDT
To be honest, I didn't even see a hostname configuration screen when doing a text install with the F-14 beta dvd.

I will try to redo the installation just to confirm but I am pretty sure there is none.
Comment 54 James Laska 2010-09-30 10:43:08 EDT
(In reply to comment #53)
> To be honest, I didn't even see a hostname configuration screen when doing a
> text install with the F-14 beta dvd.
> 
> I will try to redo the installation just to confirm but I am pretty sure there
> is none.

Ah, apologies, I missed your "text-mode" comment earlier.

A text-mode DVD install is *very* special case.  Text-mode installs offer a very *REDUCED* number of configuration options.  The option to configure the post-installed systems networking is not available in text-mode.  Networking will need to be configured post-install if you are performing a non-network text-mode installation.

I'll confirm with anaconda developers that configuring the post-installed system networking is not available during text-mode installations.
Comment 55 Jean-Francois Saucier 2010-09-30 10:56:00 EDT
The problem that I can see is that system-config-network is not installed by default either, so the configuration must all be done by hand.

I have no problem with that personally but I think there should be an easy way to get the network working after the first boot.
Comment 56 James Laska 2010-09-30 11:04:34 EDT
(In reply to comment #55)
> The problem that I can see is that system-config-network is not installed by
> default either, so the configuration must all be done by hand.
> 
> I have no problem with that personally but I think there should be an easy way
> to get the network working after the first boot.

I think you may have a valid request in asking that system-config-network be added to the text-mode install package set (@base I think).  There may be a reason it isn't included, but I don't recall here.  Please note though, that text-mode is really considered for advanced users.  Many of the conveniences one is accustomed to from a graphical and live installation experience cannot be easily duplicated+maintained in a text-mode environment.

Please file a new new bugzilla against anaconda to request adding system-config-network to the base text-mode installation so that network configuration during firstboot-tui is possible.  Depending on where that change is made, the bug report might be reassigned.
Comment 57 Jean-Francois Saucier 2010-09-30 11:18:42 EDT
I understand the purpose of text-mode install (and to be honest, it's been years since I used it for the last time). I will open a new bug report just so we can discuss if it's pertinent to have system-config-network as part of a default text-mode installation.

Just to be sure there is no confusion, there is no firstboot-tui that run after a text-mode install of F-14 beta dvd, you get to a login prompt directly.
Comment 58 Walter Francis 2010-10-14 10:47:17 EDT
This bug is broken until networking is enabled by default...  I still cannot fathom this being thought-through and intentionally designed this way.

The current "fix" to pop the Network Manager editor button on the Hostname screen is no fix.
Comment 59 James Laska 2010-10-14 13:02:42 EDT
(In reply to comment #58)
> This bug is broken until networking is enabled by default...  I still cannot
> fathom this being thought-through and intentionally designed this way.
> 
> The current "fix" to pop the Network Manager editor button on the Hostname
> screen is no fix.

I understand your frustration, however the install has *many* use cases and audiences.  Not all of those use cases involve automatically activating network upon reboot.  Particularly when you perform a non-network installation.  With this bug, you now have an option when performing a non-network media-based install to activate specific devices as desired on boot.  Prior to this, no option was available aside from performing a network-based installation, or manually selecting the appropriate network after install.
Comment 60 Walter Francis 2010-10-14 14:18:28 EDT
Understood, but let's segment...

Typical End Users who will want to install are going to want networking I'll make a total guess and say 99% of the time.  Those are the users that are hurt by this.  These users will not necessarily be doing _any_ networking during the install, most likely they're installing from the DVD install media.  But when they're finished with the install it's a perfectly valid assumption that if available networking will be configured and connected when they boot into the system.  This doesn't mean we should do scanning of wireless and jump on any open network, but if they're plugged into eth0 we should make it connect by default.  If they install without eth0 plugged in?  Maybe makes more sense to not enable it by default.

Atypical, edge case, embedded, etc, type users are going to be doing heavy work on the system and disabling networking will not be an issue for them.

Seems like we're not targeting the vast majority of the users to me.  If there's a need for an install to not be set up for networking, surely that should be an opt-out, not opt-in.  Again, shooting for the users who most likely are going to use it and perhaps less likely to know how to fix it.

And again I gotta stress the button shoved into the Hostname dialog is pretty bad usability and very easily overlooked.  And let's be honest, if they see the button and press it, it's not _that_ user friendly.  They have to click the device, click edit, click "Connect Automatically", apply, apply, etc.
Comment 61 James Laska 2010-10-14 14:29:45 EDT
(In reply to comment #60)
> Seems like we're not targeting the vast majority of the users to me.  If
> there's a need for an install to not be set up for networking, surely that
> should be an opt-out, not opt-in.  Again, shooting for the users who most
> likely are going to use it and perhaps less likely to know how to fix it.
> 
> And again I gotta stress the button shoved into the Hostname dialog is pretty
> bad usability and very easily overlooked.  And let's be honest, if they see the
> button and press it, it's not _that_ user friendly.  They have to click the
> device, click edit, click "Connect Automatically", apply, apply, etc.

I appreciate the feedback, but this isn't the best public forum to debate popularity of different use cases and solutions to address problem.  This bug concerns providing a mechanism so that media-based installs can enable networking on the installed system.  That will not change for Fedora 14, without introducing a significant delay in the release.  This is bug has added functionality that was not available in previous releases.

How to take this issue the the next level, and improve the usability should be discussed elsewhere.  Please take ideas/suggestions to the installer development list at https://www.redhat.com/mailman/listinfo/anaconda-devel-list.
Comment 63 Kamil Páral 2011-04-15 17:40:46 EDT
I didn't read the long discussion, but I'd like to point out that this bug is still present in Fedora 15 Beta. And sadly enough it has been in CommonBugs since Fedora 11...
Comment 64 Radek Vykydal 2011-08-17 10:19:59 EDT
Proposed as NTH for F16 Beta, patch sent to anaconda-devel-list:
https://www.redhat.com/archives/anaconda-devel-list/2011-August/msg00247.html
Comment 65 Adam Williamson 2011-08-17 13:36:31 EDT
+1 nth for me, definitely something it makes sense to pull into f16 if anaconda team wants to finally 'fix' this.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 66 Tim Flink 2011-09-01 13:45:23 EDT
Discussed in the 2011-08-26 blocker review meeting. Accepted as a Fedora 16 NTH as this is a long standing annoyance if the anaconda team decides to accept the patch.
Comment 67 Fedora Update System 2011-09-23 17:48:38 EDT
anaconda-16.19-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.19-1.fc16
Comment 68 Fedora Update System 2011-09-24 00:35:22 EDT
anaconda-16.19-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 69 Andre Robatino 2011-09-24 05:40:00 EDT
In 16 Beta RC2, a default non-networked DVD install (but not a minimal install) has the network enabled by default after installation.
Comment 70 Kamil Páral 2011-09-26 04:37:11 EDT
Halelujah! Another step towards world domination. Thanks, Radek!

Confirmed with DVD default install. Unfortunately still doesn't work for minimal install (due to 'network' service being disabled and BOOTPROTO line missing in eth0 config file), but that's not the concern of this bug.
Comment 71 Adam Williamson 2012-03-23 16:37:04 EDT
Note - this regressed in 17 Beta RC1, I've filed a new bug for that: https://bugzilla.redhat.com/show_bug.cgi?id=806466



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.